Subject: Re: bug#15690: [platform-testers] new snapshot available: grep-2.14.51-7a35

From: Dagobert Michelsen <[email-masked]>
Date: Thu, 24 Oct 2013 21:42:21 +0200

Hi Paul,

Am 23.10.2013 um 20:37 schrieb Paul Eggert <[email-masked]>:
> On 10/23/13 01:20, Dagobert Michelsen wrote:
>> Nope, but we are using git to apply our downstream patches.
> 
> Ah, sorry, I'd forgotten about that.
> But this problem should be fixed now, given that we've
> applied this patch to grep:
> 
> http://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=cf70364d5980d76c189ce841b5283f5644a017de
> 
> And I can't reproduce the problem on my Solaris 10 sparc
> machine (Sun C 5.12 2011/11/16), when I configure this way:

This is SolarisStudio 12u3 which is a completely different compiler than the
SunStudio 12 which I am using. TL;DR: marketing does not want version 13.

So we have:
- SunStudio 11:		Sun C 5.8
- SunStudio 12:		Sun C 5.9
- SunStudio 12u1:	Sun C 5.10
- SunStudio 12u2:	Sun C 5.11
- SolarisStudio 12u3:	Sun C 5.12

As you see the "u" versions are new major versions.

> ./configure CC=cc --enable-gcc-warnings
> 
> Configure outputs a whole bunch of lines like this:
> 
> checking whether C compiler handles -Wwrite-strings... no
> checking whether C compiler handles -fdiagnostics-show-option... no
> checking whether C compiler handles -funit-at-a-time... no
> 
> Does it not work that way for you?

No, I too get warnings with --enable-gcc-warnings regardless of the Sun compiler version:

> /opt/solarisstudio12.3/bin/cc -D_STDC_C99= -DHAVE_CONFIG_H -I. -I.. -I.. -I.  -D_REENTRANT -fdiagnostics-show-option -funit-at-a-time  -g -c c-strncasecmp.c
> cc: Warning: Option -fdiagnostics-show-option passed to ld, if ld is invoked, ignored otherwise
> cc: Warning: Option -funit-at-a-time passed to ld, if ld is invoked, ignored otherwise

> There must be something else going on, on your
> platform, and I'm not sure what it would be.

Probably, but I have no idea what it could be.

Best regards

  -- Dago

-- 
"You don't become great by trying to be great, you become great by wanting to do something,
and then doing it so hard that you become great in the process." - xkcd #896